### A free/open-source library for quantitative finance

Public Member Functions
FDDividendEngineMerton73< Scheme > Class Template Reference
Vanilla option engines

Finite-differences pricing engine for dividend options using escowed dividends model. More...

`#include <ql/pricingengines/vanilla/fddividendengine.hpp>`

Inheritance diagram for FDDividendEngineMerton73< Scheme >:
[legend]

List of all members.

## Public Member Functions

| FDDividendEngineMerton73 (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendEngineMerton73< Scheme >

Finite-differences pricing engine for dividend options using escowed dividends model.

The Merton-73 engine is the classic engine described in most derivatives texts. However, Haug, Haug, and Lewis in "Back to Basics: a new approach to the discrete dividend problem" argues that this scheme underprices call options. This is set as the default engine, because it is consistent with the analytic version.